Bug 1272224 - Discovery of vCenter 5.5 fails for some configurations
Discovery of vCenter 5.5 fails for some configurations
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Adam Grare
Thom Carlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 15:35 EDT by Thom Carlin
Modified: 2015-12-08 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:38:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-15 15:35:33 EDT
Description of problem:

Attempted discovery of VSCA 5.5 results in "NOT DISCOVERED"

Version-Release number of selected component (if applicable):

5.4.3.0.20151001120745_d11cf59

How reproducible:

100% for specific configurations

Steps to Reproduce:
1. Infrastructure > Providers
2. Configuration > Discover Infrastructure Provider
3. Discover: VMware vCenter
4. Enter IP range
5. Click Start

Actual results:

Not found
"NOT DISCOVERED" messages in evm.log

Expected results:

Found
"DISCOVERED" messages in evm.log

Additional info:

Manual adding is successful

CloudForms is looking for ports 7444 and 2014.  In this configuration, VMware is actually listening on ports 7444 and 2012.  We believe ports 2012, 2013, and 2014 may be chosen, depending on SSO configuration.

Reproducer environment can be made available
Comment 3 Adam Grare 2015-10-22 08:26:58 EDT
Pull Request https://github.com/ManageIQ/manageiq/pull/5041
Comment 4 CFME Bot 2015-10-22 13:40:50 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d8d28751029a0a2ec5be9185244ec6be05c2ce82

commit d8d28751029a0a2ec5be9185244ec6be05c2ce82
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Oct 21 17:01:57 2015 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Wed Oct 21 17:01:57 2015 -0400

    Check for all VC SSO ports during discovery
    
    When performing a port scan of a VC for provider discovery not all
    SSO ports were being checked so that depending on configuration
    not all VCs were being detected.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1272224

 gems/pending/discovery/modules/VMwareEsxVcProbe.rb | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 5 Pete Savage 2015-11-20 09:00:39 EST
Checked against 3 of our environments and all were discovered

Verified in 5.5.0.11
Comment 7 errata-xmlrpc 2015-12-08 08:38:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.